> For the complete documentation index, see [llms.txt](https://docs.pinky.finance/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.pinky.finance/token-types/burnable-token.md).

# Burnable Token

A "burnable token" refers to a type of cryptocurrency token that can be intentionally and irreversibly removed, or "burned," from circulation. Burning tokens involves sending them to an address from which they cannot be retrieved or spent, effectively reducing the total supply of the token. This mechanism can have various purposes and implications within the context of a cryptocurrency ecosystem.

To generate your own burnable token [click here](https://www.pinky.finance/launchpads/create-token).

### Smart Contract Methods

**Read methods:**

1. allowance
2. balanceOf
3. decimals
4. name
5. owner
6. symbol
7. totalSupply

**Write methods:**

1. approve
2. **burn**
3. decreaseAllowance
4. increaseAllowance
5. renounceOwnership
6. transfer
7. transferFrom
8. transferOwnership

{% hint style="info" %}
This token as any other token is compatible with our Launchpad, and your tokens can be sold on our Launchpad!
{% endhint %}

{% content-ref url="/pages/9BWqeJsS9yKxiTR9IyTB" %}
[Services Fees](/about-us/services-fees.md)
{% endcontent-ref %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.pinky.finance/token-types/burnable-token.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
